#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	libva-bootstrap
Version		:	2.22.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Libva is an implementation for Video Acceleration API
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/intel/libva

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	libdrm
BuildRequires	:	libxcb
BuildRequires	:	libpciaccess
BuildRequires	:	wayland-protocols
BuildRequires	:	xorg-libpciaccess
BuildRequires	:	xorg-libXext
BuildRequires	:	xorg-libXfixes
#-----------------------------------------------------------------------------
%description
VA-API is an open-source library and API specification,
which provides access to graphics hardware acceleration
capabilities for video processing. It consists of a main
library and driver-specific acceleration backends for
each supported hardware vendor.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS
%{_libdir}/%{sname}*.so.2*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/va/va.h
%{_includedir}/va/va_*.h
%{_libdir}/%{sname}*.so
%{_libdir}/pkgconfig/%{sname}.pc
%{_libdir}/pkgconfig/%{sname}-*.pc

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
%build

meson	setup						\
	--buildtype=release				\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D with_x11=yes					\
	-D with_wayland=yes				\
	_bld

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _bld						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _bld						\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
